import request from '@/utils/request'

// 查询物资属性值--分页
export function PropertyValuePage(query) {
  return request({
    url: '/iscs/propvalue/getIsMaterialsPropertyValuePage',
    method: 'get',
    params: query
  })
}

// 新增物资属性值
export function addPropertyValue(data) {
  return request({
    url: '/iscs/propvalue/insertIsMaterialsPropertyValue',
    method: 'post',
    data: data
  })
}

// 修改物资属性值
export function updatePropertyValue(data) {
  return request({
    url: '/iscs/propvalue/updateIsMaterialsPropertyValue',
    method: 'post',
    data: data
  })
}

// 删除物资属性值
export function deletePropertyValue(data) {
  return request({
    url: '/iscs/propvalue/deleteIsMaterialsPropertyValueByRecordIds?recordIds=' + data,
    method: 'post',
  })
}

// 获取属性值详细信息
export function selectPropertyValueById(query) {
  return request({
    url: '/iscs/propvalue/selectIsMaterialsPropertyValueById?recordId=' + query,
    method: 'get',
  })
}

